---
layout: docs
page_title: 'nomad acl token update command reference'
description: |
  The `nomad acl token update` command modifies an access control list (ACL) token. Update name, client or management type, policy, and role.
---

# `nomad acl token update` command reference

The `acl token update` command is used to update existing ACL tokens.

## Usage

```plaintext
nomad acl token update [options] <token_accessor_id>
```

The `acl token update` command requires an existing token's accessor ID.

## General options

@include 'general_options_no_namespace.mdx'

## Update options

- `-name`: Sets the human readable name for the ACL token.

- `-type`: Sets the type of token. Must be one of "client" or "management".

- `-policy`: Specifies a policy to associate with the token. Can be specified
  multiple times, but only with client type tokens. If any policies are
  specified, they completely replace the policies on the existing token.

- `-role-id`: ID of a role to use for this token. Can be specified multiple
  times, but only with client type tokens. If any roles are specified, they
  completely replace the roles on the existing token.

- `-role-name`: Name of a role to use for this token. Can be specified multiple
  times, but only with client type tokens. If any roles are specified, they
  completely replace the roles on the existing token.

## Examples

Update an existing ACL token:

```shell-session
$ nomad acl token update -name="example-acl-token-updated" ef851ca0-b331-da5d-bbeb-7ede8f7c9151
Accessor ID  = ef851ca0-b331-da5d-bbeb-7ede8f7c9151
Secret ID    = 11d5348a-8768-5baa-6185-c154980e1488
Name         = example-acl-token-updated
Type         = client
Global       = false
Create Time  = 2022-08-23 12:16:09.680699039 +0000 UTC
Expiry Time  = <never>
Create Index = 140
Modify Index = 151
Policies     = [example-acl-policy]

Roles
ID                                    Name
2fe0c403-4502-e99d-4c79-a2821355e66d  example-acl-role-updated
```
